NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::CreateBoxBuilder Class Reference

Represents a box creation operation
To create a new instance of this class, use NXOpen::Tooling::CreateBoxCollection::CreateBoxBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::CreateBoxBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BoxType { BoxTypeGeneral, BoxTypeBounding }
 the type for creating box More...
 

Public Member Functions

int BoxColor ()
 Returns the box color. More...
 
NXOpen::ExpressionClearance ()
 Returns the clearance value for box in six directions. More...
 
void ConvertFrecToBuilderData (NXOpen::NXObject *featTag)
 Convert feature record data to builder. More...
 
NXOpen::Point3d GetBoxCsysPosition ()
 Gets point position of csys for box. More...
 
NXOpen::NXObjectGetBoxFeatTag ()
 Gets kf box feature tag. More...
 
NXOpen::ScCollectorObjects ()
 Returns the objects used for bounding box creation. More...
 
NXOpen::ExpressionOffsetNegativeX ()
 Returns the offset value for box in -X direction. More...
 
NXOpen::ExpressionOffsetNegativeY ()
 Returns the offset value for box in -Y direction. More...
 
NXOpen::ExpressionOffsetNegativeZ ()
 Returns the offset value for box in -Z direction. More...
 
NXOpen::ExpressionOffsetPositiveX ()
 Returns the offset value for box in +X direction. More...
 
NXOpen::ExpressionOffsetPositiveY ()
 Returns the offset value for box in +Y direction. More...
 
NXOpen::ExpressionOffsetPositiveZ ()
 Returns the offset value for box in +Z direction. More...
 
void SetBoxColor (int colorValue)
 Sets the box color. More...
 
void SetBoxColorValue (const NXOpen::Point3d &value)
 Sets box color. More...
 
void SetBoxCsysPosition (const NXOpen::Point3d &value)
 Sets point position of csys for box. More...
 
void SetBoxMatrixAndPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets box csys matrix. More...
 
void SetSelectedOccs (const std::vector< NXOpen::NXObject * > &selections, const std::vector< NXOpen::NXObject * > &deselections)
 Sets selected object occurrences. More...
 
void SetType (NXOpen::Tooling::CreateBoxBuilder::BoxType type)
 Sets the box type. More...
 
NXOpen::Tooling::CreateBoxBuilder::BoxType Type ()
 Returns the box type. More...
 
NXOpen::ExpressionXValue ()
 Returns the edge length in X direction for general box. More...
 
NXOpen::ExpressionYValue ()
 Returns the edge length in Y direction for general box. More...
 
NXOpen::ExpressionZValue ()
 Returns the edge length in Z direction for general box. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a box creation operation
To create a new instance of this class, use NXOpen::Tooling::CreateBoxCollection::CreateBoxBuilder
Default values.

Property Value

Clearance.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetNegativeX.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetNegativeY.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetNegativeZ.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetPositiveX.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetPositiveY.Value

1.0 (millimeters part), 0.1 (inches part)

OffsetPositiveZ.Value

1.0 (millimeters part), 0.1 (inches part)

XValue.Value

10 (millimeters part), 1.0 (inches part)

YValue.Value

10 (millimeters part), 1.0 (inches part)

ZValue.Value

10 (millimeters part), 1.0 (inches part)


Created in NX8.0.0.

Member Enumeration Documentation

the type for creating box

Enumerator
BoxTypeGeneral 

general box

BoxTypeBounding 

bounding box

Member Function Documentation

int NXOpen::Tooling::CreateBoxBuilder::BoxColor ( )

Returns the box color.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::Clearance ( )

Returns the clearance value for box in six directions.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::CreateBoxBuilder::ConvertFrecToBuilderData ( NXOpen::NXObject featTag)

Convert feature record data to builder.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
featTagbounding box kf feature tag
NXOpen::Point3d NXOpen::Tooling::CreateBoxBuilder::GetBoxCsysPosition ( )

Gets point position of csys for box.

Returns

Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::NXObject* NXOpen::Tooling::CreateBoxBuilder::GetBoxFeatTag ( )

Gets kf box feature tag.

Returns
bounding box kf feature
Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::ScCollector* NXOpen::Tooling::CreateBoxBuilder::Objects ( )

Returns the objects used for bounding box creation.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetNegativeX ( )

Returns the offset value for box in -X direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetNegativeY ( )

Returns the offset value for box in -Y direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetNegativeZ ( )

Returns the offset value for box in -Z direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetPositiveX ( )

Returns the offset value for box in +X direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetPositiveY ( )

Returns the offset value for box in +Y direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::OffsetPositiveZ ( )

Returns the offset value for box in +Z direction.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::CreateBoxBuilder::SetBoxColor ( int  colorValue)

Sets the box color.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
colorValuecolorvalue
void NXOpen::Tooling::CreateBoxBuilder::SetBoxColorValue ( const NXOpen::Point3d value)

Sets box color.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
valuevalue
void NXOpen::Tooling::CreateBoxBuilder::SetBoxCsysPosition ( const NXOpen::Point3d value)

Sets point position of csys for box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
valuevalue
void NXOpen::Tooling::CreateBoxBuilder::SetBoxMatrixAndPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets box csys matrix.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
matrixmatrix
positionposition
void NXOpen::Tooling::CreateBoxBuilder::SetSelectedOccs ( const std::vector< NXOpen::NXObject * > &  selections,
const std::vector< NXOpen::NXObject * > &  deselections 
)

Sets selected object occurrences.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
selectionsLast selected objects.
deselectionsLast deselected objects.
void NXOpen::Tooling::CreateBoxBuilder::SetType ( NXOpen::Tooling::CreateBoxBuilder::BoxType  type)

Sets the box type.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
typetype
NXOpen::Tooling::CreateBoxBuilder::BoxType NXOpen::Tooling::CreateBoxBuilder::Type ( )

Returns the box type.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::XValue ( )

Returns the edge length in X direction for general box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::YValue ( )

Returns the edge length in Y direction for general box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::CreateBoxBuilder::ZValue ( )

Returns the edge length in Z direction for general box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.